## WebKitError WebKitError — Categorized WebKit errors |

## Functions

GQuark | webkit_network_error_quark ()
GQuark | webkit_plugin_error_quark ()
GQuark | webkit_policy_error_quark ()
GQuark | webkit_download_error_quark ()
GQuark | webkit_print_error_quark ()
GQuark | webkit_javascript_error_quark ()
GQuark | webkit_snapshot_error_quark ()
GQuark | webkit_user_content_filter_error_quark ()

## Types and Values

#define | WEBKIT_NETWORK_ERROR
#define | WEBKIT_PLUGIN_ERROR
#define | WEBKIT_POLICY_ERROR
#define | WEBKIT_DOWNLOAD_ERROR
#define | WEBKIT_PRINT_ERROR
#define | WEBKIT_JAVASCRIPT_ERROR
#define | WEBKIT_SNAPSHOT_ERROR
#define | WEBKIT_USER_CONTENT_FILTER_ERROR
enum | WebKitNetworkError
enum | WebKitPluginError
enum | WebKitPolicyError
enum | WebKitDownloadError
enum | WebKitPrintError
enum | WebKitJavascriptError
enum | WebKitSnapshotError
enum | WebKitUserContentFilterError

## Description

Categorized WebKit errors.

## Functions

### webkit_network_error_quark ()

    GQuark
    webkit_network_error_quark (void);

### webkit_plugin_error_quark ()

    GQuark
    webkit_plugin_error_quark (void);

### webkit_policy_error_quark ()

    GQuark
    webkit_policy_error_quark (void);

### webkit_download_error_quark ()

    GQuark
    webkit_download_error_quark (void);

### webkit_print_error_quark ()

    GQuark
    webkit_print_error_quark (void);

### webkit_javascript_error_quark ()

    GQuark
    webkit_javascript_error_quark (void);

### webkit_snapshot_error_quark ()

    GQuark
    webkit_snapshot_error_quark (void);

### webkit_user_content_filter_error_quark ()

    GQuark
    webkit_user_content_filter_error_quark
                                   (void);

## Types and Values

### WEBKIT_NETWORK_ERROR

    #define WEBKIT_NETWORK_ERROR             webkit_network_error_quark ()

### WEBKIT_PLUGIN_ERROR

    #define WEBKIT_PLUGIN_ERROR              webkit_plugin_error_quark ()

### WEBKIT_POLICY_ERROR

    #define WEBKIT_POLICY_ERROR              webkit_policy_error_quark ()

### WEBKIT_DOWNLOAD_ERROR

    #define WEBKIT_DOWNLOAD_ERROR            webkit_download_error_quark ()

### WEBKIT_PRINT_ERROR

    #define WEBKIT_PRINT_ERROR               webkit_print_error_quark ()

### WEBKIT_JAVASCRIPT_ERROR

    #define WEBKIT_JAVASCRIPT_ERROR          webkit_javascript_error_quark ()

### WEBKIT_SNAPSHOT_ERROR

    #define WEBKIT_SNAPSHOT_ERROR            webkit_snapshot_error_quark ()

### WEBKIT_USER_CONTENT_FILTER_ERROR

    #define WEBKIT_USER_CONTENT_FILTER_ERROR webkit_user_content_filter_error_quark ()

### enum WebKitNetworkError

Enum values used to denote the various network errors.

#### Members

WEBKIT_NETWORK_ERROR_FAILED | Generic load failure |
WEBKIT_NETWORK_ERROR_TRANSPORT | Load failure due to transport error |
WEBKIT_NETWORK_ERROR_UNKNOWN_PROTOCOL | Load failure due to unknown protocol |
WEBKIT_NETWORK_ERROR_CANCELLED | Load failure due to cancellation |
WEBKIT_NETWORK_ERROR_FILE_DOES_NOT_EXIST | Load failure due to missing file |

### enum WebKitPluginError

Enum values used to denote the various plugin and multimedia errors.

#### Members

WEBKIT_PLUGIN_ERROR_FAILED | Generic plugin load failure. Deprecated 2.32 |
WEBKIT_PLUGIN_ERROR_CANNOT_FIND_PLUGIN | Load failure due to missing plugin. Deprecated 2.32 |
WEBKIT_PLUGIN_ERROR_CANNOT_LOAD_PLUGIN | Load failure due to inability to load plugin. Deprecated 2.32 |
WEBKIT_PLUGIN_ERROR_JAVA_UNAVAILABLE | Load failure due to missing Java support that is required to load plugin. Deprecated 2.32 |
WEBKIT_PLUGIN_ERROR_CONNECTION_CANCELLED | Load failure due to connection cancellation. Deprecated 2.32 |
WEBKIT_PLUGIN_ERROR_WILL_HANDLE_LOAD | Preliminary load failure for media content types. A new load will be started to perform the media load. |

### enum WebKitPolicyError

Enum values used to denote the various policy errors.

#### Members

WEBKIT_POLICY_ERROR_FAILED | Generic load failure due to policy error |
WEBKIT_POLICY_ERROR_CANNOT_SHOW_MIME_TYPE | Load failure due to unsupported mime type |
WEBKIT_POLICY_ERROR_CANNOT_SHOW_URI | Load failure due to URI that can not be shown |
WEBKIT_POLICY_ERROR_FRAME_LOAD_INTERRUPTED_BY_POLICY_CHANGE | Load failure due to frame load interruption by policy change |
WEBKIT_POLICY_ERROR_CANNOT_USE_RESTRICTED_PORT | Load failure due to port restriction |

### enum WebKitDownloadError

Enum values used to denote the various download errors.

#### Members

WEBKIT_DOWNLOAD_ERROR_NETWORK | Download failure due to network error |
WEBKIT_DOWNLOAD_ERROR_CANCELLED_BY_USER | Download was cancelled by user |
WEBKIT_DOWNLOAD_ERROR_DESTINATION | Download failure due to destination error |

### enum WebKitPrintError

Enum values used to denote the various print errors.

#### Members

WEBKIT_PRINT_ERROR_GENERAL | Unspecified error during a print operation |
WEBKIT_PRINT_ERROR_PRINTER_NOT_FOUND | Selected printer cannot be found |
WEBKIT_PRINT_ERROR_INVALID_PAGE_RANGE | Invalid page range |

### enum WebKitJavascriptError

Enum values used to denote errors happening when executing JavaScript

#### Members

WEBKIT_JAVASCRIPT_ERROR_SCRIPT_FAILED | An exception was raised in JavaScript execution |

### enum WebKitSnapshotError

Enum values used to denote errors happening when creating snapshots of WebKitWebView

#### Members

WEBKIT_SNAPSHOT_ERROR_FAILED_TO_CREATE | An error occurred when creating a webpage snapshot. |

### enum WebKitUserContentFilterError

#### Members

WEBKIT_USER_CONTENT_FILTER_ERROR_INVALID_SOURCE | The JSON source for a content filter is invalid. |
WEBKIT_USER_CONTENT_FILTER_ERROR_NOT_FOUND | The requested content filter could not be found. |

Since: 2.24